"use strict";
const modName = "EFT-LootGen";

class Mod
{
    constructor()
    {
		Logger.log("Loading：容器物资 + 钥匙卡修正 - 2.3.0", "white", "magenta");
        
        let locations = DatabaseServer.tables.locations;
		let staticLoot = DatabaseServer.tables.loot.staticLoot;
        
		//海岸线钥匙卡修正
		locations["shoreline"].looseLoot.spawnpoints.push(
			{
				"locationId": "(-226.6501, -0.8111, -87.91)",
				"probability": 0.0021214641080312722,
				"template": {
					"Id": "key_lab_weapon_store (130)2108136",
					"IsStatic": false,
					"useGravity": false,
					"randomRotation": false,
					"Position": {
						"x": -226.6501,
						"y": -0.8111,
						"z": -87.91
					},
					"Rotation": {
						"x": 0,
						"y": 0,
						"z": 0
					},
					"IsGroupPosition": false,
					"GroupPositions": [],
					"Root": null,
					"Items": []
				},
				"itemDistribution": [
					{
						"tpl": "5c1d0efb86f7744baf2e7b7b",
						"relativeProbability": 1
					}
				]
			},
			{
				"locationId": "(-261.8, 0.0001, -153.2)",
				"probability": 0.0014216541080312722,
				"template": {
					"Id": "key_lab_weapon_store (110)2104536",
					"IsStatic": false,
					"useGravity": false,
					"randomRotation": false,
					"Position": {
						"x": -261.8,
						"y": 0.0001,
						"z": -153.2
					},
					"Rotation": {
						"x": 0,
						"y": 0,
						"z": 0
					},
					"IsGroupPosition": false,
					"GroupPositions": [],
					"Root": null,
					"Items": []
				},
				"itemDistribution": [
					{
						"tpl": "5c1d0efb86f7744baf2e7b7b",
						"relativeProbability": 1
					}
				]
			},
			{
				"locationId": "(-204.7355, -6.3587, -94.6751)",
				"probability": 0.00074214641080312722,
				"template": {
					"Id":  "key_lab_weapon_store [5]2203126",
					"IsStatic": false,
					"useGravity": false,
					"randomRotation": false,
					"Position": {
						"x": -204.7355,
						"y": -6.3587,
						"z": -94.6751
					},
					"Rotation": {
						"x": 0,
						"y": 0,
						"z": 0
					},
					"IsGroupPosition": false,
					"GroupPositions": [],
					"Root": null,
					"Items": []
				},
				"itemDistribution": [
					{
						"tpl": "5c1d0efb86f7744baf2e7b7b",
						"relativeProbability": 2
					}
				]
			},
			{
				"locationId": "(-191.098267, -3.2901, -88.35625)",
				"probability": 0.0043107320540156361,
				"template": {
					"Id": "key_lab_karantin (47)2113610",
					"IsStatic": false,
					"useGravity": false,
					"randomRotation": false,
					"Position": {
						"x": -191.098267,
						"y": -3.2901,
						"z": -88.35625
					},
					"Rotation": {
						"x": 0,
						"y": 0,
						"z": 0
					},
					"IsGroupPosition": false,
					"GroupPositions": [],
					"Root": null,
					"Items": []
				},
				"itemDistribution": [
					{
						"tpl": "5c1d0c5f86f7744bb2683cf0",
						"relativeProbability": 2
					}
				]
			},
			{
				"locationId": "(-155.865112, -2.97210026, -89.4736)",
				"probability": 0.0021073205401563610,
				"template": {
					"Id": "key_lab_karantin (97)2115616",
					"IsStatic": false,
					"useGravity": false,
					"randomRotation": false,
					"Position": {
						"x": -155.865112,
						"y": -2.97210026,
						"z": -89.4736
					},
					"Rotation": {
						"x": 0,
						"y": 0,
						"z": 0
					},
					"IsGroupPosition": false,
					"GroupPositions": [],
					"Root": null,
					"Items": []
				},
				"itemDistribution": [
					{
						"tpl": "5c1d0c5f86f7744bb2683cf0",
						"relativeProbability": 2
					}
				]
			}
		)
		
		//实验室钥匙卡修正
		locations["laboratory"].looseLoot.spawnpoints.push(
			{
				"locationId": "(-226.421, 0.955, -409.226)",
				"probability": 0.0014726835964310227,
				"template": {
					"Id": "loot_med_block2 (2)3182776",
					"IsStatic": false,
					"useGravity": false,
					"randomRotation": false,
					"Position": {
						"x": -226.421,
						"y": 0.955,
						"z": -409.226
					},
					"Rotation": {
						"x": 0,
						"y": 0,
						"z": 0
					},
					"IsGroupPosition": false,
					"GroupPositions": [],
					"Root": null,
					"Items": []
				},
				"itemDistribution": [
					{
						"tpl": "5c1d0dc586f7744baf2e7b79",
						"relativeProbability": 2
					}
				]
			},
			{
				"locationId": "(-182.166885, 1.04699993, -363.043823)",
				"probability": 0.0068634179821551130,
				"template": {
					"Id": "loot_op_room (75)4560322",
					"IsStatic": false,
					"useGravity": false,
					"randomRotation": false,
					"Position": {
						"x": -182.166885,
						"y": 1.04699993,
						"z": -363.043823
					},
					"Rotation": {
						"x": 0,
						"y": 0,
						"z": 0
					},
					"IsGroupPosition": false,
					"GroupPositions": [],
					"Root": null,
					"Items": []
				},
				"itemDistribution": [
					{
						"tpl": "5c1d0f4986f7744bb01837fa",
						"relativeProbability": 1
					}
				]
			},
			{
				"locationId": "(-139.5908, 5.018, -368.5823)",
				"probability": 0.006863417982155113,
				"template": {
					"Id": "loot_op_room (75)4560322",
					"IsStatic": false,
					"useGravity": false,
					"randomRotation": false,
					"Position": {
						"x": -139.5908,
						"y": 5.018,
						"z": -368.5823
					},
					"Rotation": {
						"x": 0,
						"y": 0,
						"z": 0
					},
					"IsGroupPosition": false,
					"GroupPositions": [],
					"Root": null,
					"Items": []
				},
				"itemDistribution": [
					{
						"tpl": "5c1d0f4986f7744bb01837fa",
						"relativeProbability": 2
					}
				]
			}
		)	
		
		//容器物资修正
		staticLoot["5909d4c186f7746ad34e805a"].itemDistribution.push(  //医药箱
			{
				"tpl": "5c0530ee86f774697952d952",  //LEDX（下同）
				"relativeProbability": 1657
			},
			{
				"tpl": "5af0534a86f7743b6f354284",  //检眼镜（下同）
				"relativeProbability": 3557
			},
			{
				"tpl": "5c052e6986f7746b207bc3c9",  //除颤器（下同）
				"relativeProbability": 1557
			}
		)
		
		staticLoot["5d6fe50986f77449d97f7463"].itemDistribution.push(  //医疗物资箱
			{
				"tpl": "5c0530ee86f774697952d952",
				"relativeProbability": 2205
			},
			{
				"tpl": "5af0534a86f7743b6f354284",
				"relativeProbability": 5294
			},
			{
				"tpl": "5c052e6986f7746b207bc3c9",
				"relativeProbability": 2922
			}
		)
		
		staticLoot["61aa1ead84ea0800645777fd"].itemDistribution.push(  //SMU06医疗包
			{
				"tpl": "5c0530ee86f774697952d952",
				"relativeProbability": 119
			},
			{
				"tpl": "5af0534a86f7743b6f354284",
				"relativeProbability": 329
			},
			{
				"tpl": "5c052e6986f7746b207bc3c9",
				"relativeProbability": 156
			}
		)
		
		staticLoot["5909d24f86f77466f56e6855"].itemDistribution.push(  //SMU06 医疗包
			{
				"tpl": "5c0530ee86f774697952d952",
				"relativeProbability": 1297
			},
			{
				"tpl": "5af0534a86f7743b6f354284",
				"relativeProbability": 2192
			},
			{
				"tpl": "5c052e6986f7746b207bc3c9",
				"relativeProbability": 1512
			}
		)
		
		staticLoot["578f87a3245977356274f2cb"].itemDistribution.push(  //旅行包
			{
				"tpl": "5c0530ee86f774697952d952",
				"relativeProbability": 1342
			},
			{
				"tpl": "5af0534a86f7743b6f354284",
				"relativeProbability": 3469
			},
			{
				"tpl": "5c052e6986f7746b207bc3c9",
				"relativeProbability": 2344
			}
		)
		
		staticLoot["61aa1e9a32a4743c3453d2cf"].itemDistribution.push(  //旅行包
			{
				"tpl": "5c0530ee86f774697952d952",
				"relativeProbability": 1345
			},
			{
				"tpl": "5af0534a86f7743b6f354284",
				"relativeProbability": 2124
			},
			{
				"tpl": "5c052e6986f7746b207bc3c9",
				"relativeProbability": 1923
			}
		)
		
		staticLoot["61a89e5445a2672acf66c877"].itemDistribution.push(  //空投补给箱
			{
				"tpl": "5c0530ee86f774697952d952",
				"relativeProbability": 2162
			},
			{
				"tpl": "5af0534a86f7743b6f354284",
				"relativeProbability": 4649
			},
			{
				"tpl": "5c052e6986f7746b207bc3c9",
				"relativeProbability": 2429
			}
		)
		
		staticLoot["5d6d2bb386f774785b07a77a"].itemDistribution.push(  //物资埋藏桶
			{
				"tpl": "5c0530ee86f774697952d952",
				"relativeProbability": 1532
			},
			{
				"tpl": "5af0534a86f7743b6f354284",
				"relativeProbability": 1319
			},
			{
				"tpl": "5c052e6986f7746b207bc3c9",
				"relativeProbability": 1729
			}
		)
		
		staticLoot["5d6d2b5486f774785c2ba8ea"].itemDistribution.push(  //物资埋藏箱
			{
				"tpl": "5c0530ee86f774697952d952",
				"relativeProbability": 1132
			},
			{
				"tpl": "5af0534a86f7743b6f354284",
				"relativeProbability": 1421
			},
			{
				"tpl": "5c052e6986f7746b207bc3c9",
				"relativeProbability": 1529
			}
		)
		
		staticLoot["5d07b91b86f7745a077a9432"].itemDistribution.push(  //Сommon fund储藏处
			{
				"tpl": "5c0530ee86f774697952d952",
				"relativeProbability": 132
			},
			{
				"tpl": "5af0534a86f7743b6f354284",
				"relativeProbability": 329
			},
			{
				"tpl": "5c052e6986f7746b207bc3c9",
				"relativeProbability": 129
			}
		)
	}
}

module.exports.Mod = Mod;