"use strict";

class Mod
{
    constructor()
    {
		this.modname = "EFT-Probability";
		Logger.log("Loading：物资刷新修改 - 2.3.0", "white", "magenta");
        ModLoader.onLoad[this.modname] = Mod.onLoadMod;
		
		let globals = DatabaseServer.tables.globals;
		let legacyItems = DatabaseServer.tables.templates.legacyItems;
		let staticLoot = DatabaseServer.tables.loot.staticLoot;
		let locations = DatabaseServer.tables.locations;
		
		globals.config.GlobalItemPriceModifier = 5;                 //全局贵重战利品刷新修改  原始 1
		globals.config.GlobalLootChanceModifier = 3;                //全局战利品刷新修改  原始 0.28
		
		//地图地面战利品刷新修改
		for (const mapName in locations){
            if (locations[mapName].base){
				let locationBase = locations[mapName].base;
				locationBase.GlobalLootChanceModifier = 5;          //地图战局战利品刷新修改  原始 0.2x-0.8x
			}
			
			if (locations[mapName].looseLoot){
				for (let point in locations[mapName].looseLoot.spawnpoints){
					let ability = locations[mapName].looseLoot.spawnpoints[point]; 
					
					
					for (let article in ability.itemDistribution){
						let logistics = ability.itemDistribution[article];
						if (logistics.tpl === "5c0530ee86f774697952d952" || logistics.tpl === "57347ca924597744596b4e71" || logistics.tpl === "5c1d0efb86f7744baf2e7b7b" || logistics.tpl === "5c1d0c5f86f7744bb2683cf0"){  //战利品ID
							let storeup = logistics.relativeProbability * 3;     //地面稀有战利品刷新权重倍率
							logistics.relativeProbability = storeup + logistics.relativeProbability; 
						}
						if (logistics.tpl === "5c1d0efb86f7744baf2e7b7b" || logistics.tpl === "5c1d0c5f86f7744bb2683cf0"){  //战利品ID（一个坐标下只有一个物品的）
							let chance = ability.probability * 10;     //地面稀有战利品刷新倍率
							ability.probability = chance + ability.probability; 
						}	
					}
				}
			}	
		}
		
		for (let identity in staticLoot){
			for(let tally in staticLoot[identity].itemcountDistribution){
				let counts = staticLoot[identity].itemcountDistribution[tally];
				if(counts.count === 0){
					counts.count = 1;    //容器至少有1个战利品
				}	
			}
			for(let n in staticLoot[identity].itemDistribution){
				let itemId = staticLoot[identity].itemDistribution[n].tpl;
			    if(itemId === "57347ca924597744596b4e71" || itemId === "5c0530ee86f774697952d952" || itemId === "5c052e6986f7746b207bc3c9" || itemId === "590c621186f774138d11ea29"){  //战利品ID
					let cumulate = staticLoot[identity].itemDistribution[n].relativeProbability * 3;     //容器稀有战利品刷新倍率
					staticLoot[identity].itemDistribution[n].relativeProbability = cumulate + staticLoot[identity].itemDistribution[n].relativeProbability;  
				}	
			}
		}
		
		//单个战利品做微调
		legacyItems["57347ca924597744596b4e71"]._props.SpawnChance = 1.3;   //显卡  原始 1.3
		legacyItems["5c0530ee86f774697952d952"]._props.SpawnChance = 0.4;   //LEDX  原始 0.4
		legacyItems["5c1d0efb86f7744baf2e7b7b"]._props.SpawnChance = 1;     //红卡  原始 1
		legacyItems["5c1d0c5f86f7744bb2683cf0"]._props.SpawnChance = 1;     //蓝卡  原始 1
		legacyItems["5c1e495a86f7743109743dfb"]._props.SpawnChance = 1;     //紫卡  原始 1
		legacyItems["5af0534a86f7743b6f354284"]._props.SpawnChance = 4;     //检眼镜  原始 4
		legacyItems["5efde6b4f5448336730dbd61"]._props.SpawnChance = 6;     //蓝色记号钥匙卡  原始 6
		legacyItems["5c052e6986f7746b207bc3c9"]._props.SpawnChance = 0.4;   //便携式除颤器  原始 0.4
		legacyItems["5c94bbff86f7747ee735c08f"]._props.SpawnChance = 3;     //白卡  原始 3
		legacyItems["5c1d0d6d86f7744bb2683e1f"]._props.SpawnChance = 5;     //黄卡  原始 5
		legacyItems["5c1d0f4986f7744bb01837fa"]._props.SpawnChance = 1;     //黑卡  原始 1
		legacyItems["5c1d0dc586f7744baf2e7b79"]._props.SpawnChance = 1;     //绿卡  原始 1
		legacyItems["5e42c81886f7742a01529f57"]._props.SpawnChance = 2.5;   //#11SR  原始 2.5
		legacyItems["5e42c83786f7742a021fdf3c"]._props.SpawnChance = 3;     //#21WS  原始 3
		legacyItems["5d235b4d86f7742e017bc88a"]._props.SpawnChance = 6;     //#GP币  原始 6
		legacyItems["59faff1d86f7746c51718c9c"]._props.SpawnChance = 0.3;   //#实体比特币  原始 0.3
		legacyItems["5c12620d86f7743f8b198b72"]._props.SpawnChance = 0.4;   //Tetriz便携式游戏机  原始 0.4
		legacyItems["5c05308086f7746b2101e90b"]._props.SpawnChance = 0.5;   //Virtex可编程处理器  原始 0.5
		legacyItems["5d0377ce86f774186372f689"]._props.SpawnChance = 3;     //Iridium军用热成像模块  原始 3
		legacyItems["5c052f6886f7746b1e3db148"]._props.SpawnChance = 0.5;   //军用COFDM无线信号发射器  原始 0.5
		legacyItems["5c052fb986f7746b2101e909"]._props.SpawnChance = 0.5;   //UHF RFID固定式读取器  原始 0.5
		legacyItems["5d03775b86f774203e7e0c4b"]._props.SpawnChance = 3;     //相控阵单元  原始 3
		legacyItems["590c621186f774138d11ea29"]._props.SpawnChance = 4;     //加密U盘  原始 4
    }
	
    static onLoadMod()
    {    
		LocationConfig.allowLootOverlay = false;     //地面物资不堆叠
		LocationConfig.looseLootMultiplier = {       //地图地面战利品乘数
			"bigmap": 2,                  //海关刷新倍率
			"develop": 1, 
			"factory4_day": 2,            //工厂（白天）刷新倍率
			"factory4_night": 2,          //工厂（夜晚）刷新倍率
			"interchange": 2,             //立交桥刷新倍率
			"laboratory": 2,              //实验室刷新倍率
			"rezervbase": 2,              //储备站刷新倍率
			"shoreline": 2,               //海岸线刷新倍率
			"woods": 2,                   //森林刷新倍率
			"hideout": 0, 
			"lighthouse": 2,              //灯塔刷新倍率
			"privatearea": 1, 
			"suburbs": 1, 
			"tarkovstreets": 1, 
			"terminal": 1, 
			"town": 1 
		};
		LocationConfig.staticLootMultiplier = {       //地图容器战利品乘数
			"bigmap": 1.5,                  //海关刷新倍率
			"develop": 1, 
			"factory4_day": 1.5,            //工厂（白天）刷新倍率
			"factory4_night": 1.5,          //工厂（夜晚）刷新倍率
			"interchange": 1.5,             //立交桥刷新倍率
			"laboratory": 1.5,              //实验室刷新倍率
			"rezervbase": 1.5,              //储备站刷新倍率
			"shoreline": 1.5,               //海岸线刷新倍率
			"woods": 1.5,                   //森林刷新倍率
			"hideout": 0, 
			"lighthouse": 1.5,              //灯塔刷新倍率
			"privatearea": 1, 
			"suburbs": 1, 
			"tarkovstreets": 1, 
			"terminal": 1, 
			"town": 1
		};
		LocationConfig.limits = {       //地图战利品数量上限
			"bigmap": 1000,                          //海关
			"factory4_day": 100,                     //工厂（白天）
			"factory4_night": 100,                   //工厂（夜晚）
			"interchange": 2000,                     //立交桥
			"laboratory": 1000,                      //实验室
			"rezervbase": 3000,                      //储备站
			"shoreline": 1000,                       //海岸线
			"woods": 200,                            //森林
			"lighthouse": 1000                       //灯塔
		};
    }
}

module.exports.Mod = Mod;
